<template>
  <header class='admin-header'>
    <div class='admin-header__container' >
      <div class='admin-header__logo'>
        <icon-logo-black />
      </div>
      <div v-click-outside="closeAddNav" class='admin-header__add-nav add-nav' @click='toggleAddNavShow'>
        <p>Добавить</p>
        <div  :class="['add-nav__list-wrap', {'add-nav__list-wrap--open': addNavShow}]">
          <div class='add-nav__list'>
            <nuxt-link to='/admin/article'>Статью</nuxt-link>
            <nuxt-link to='/admin/add-category'>Категорию</nuxt-link>
          </div>
        </div>
      </div>
      <div class='admin-header__actions'>
        <nuxt-link to='/admin'>
          <button class='btn-home'>
          </button>
        </nuxt-link>
      </div>
    </div>
  </header>
</template>

<script>
import ClickOutside from 'vue-click-outside'
import IconLogoBlack from '../icon/IconLogoBlack'

export default {
  components: { IconLogoBlack },

  directives: {
    ClickOutside
  },

  data() {
    return {
      addNavShow: false,
    }
  },

  methods: {
    toggleAddNavShow() {
      this.addNavShow = !this.addNavShow
    },

    closeAddNav() {
      this.addNavShow = false
    }
  }
}
</script>

<style lang='scss' scoped>
.admin-header {
  border-bottom: 1px solid #66B6FF;
  background: white;

  &__container {
    display: flex;
    align-items: center;
  }

  &__logo {
    padding: 5px 20px;
    border-right: 1px solid #66B6FF;
    display: flex;
    align-items: center;
  }

  &__add-nav {
    padding: 5px 20px;
    border-right: 1px solid #66B6FF;
    height: 48px;
    display: flex;
    align-items: center;
  }

  &__actions {
    display: flex;
    align-items: center;
    padding-left: 20px;
    border-left: 1px solid #66B6FF;
    height: 48px;

    a {
      display: flex;
      cursor: pointer;
    }
  }
}

.add-nav {
  position: relative;
  margin-right: auto;

  p {
    margin: 0;
    color: #68737D;
    cursor: pointer;
    transition: color 0.5s;
    padding-right: 20px;
    background-image: url("../../assets/img/vector-gray.svg");
    background-repeat: no-repeat;
    background-position: center right;
    font-size: 14px;
  }

  &__list-wrap {
    padding: 8px 0;
    position: absolute;
    width: 150px;
    background: white;
    bottom: -90px;
    overflow: visible;
    border-radius: 4px;
    border: 1px solid #66B6FF;
    display: none;
  }

  &__list-wrap--open {
    display: block;
  }

  &__list {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 1;

    &::before {
      content: "";
      position: absolute;
      width: 12px;
      height: 12px;
      border-top: 1px solid #66B6FF;
      border-left: 1px solid #66B6FF;
      background: white;
      transform: rotate(45deg);
      top: -15px;
      left: 15px;
      z-index:0;
    }

    a {
      padding: 10px 32px;
      color: #68737D !important;
      cursor: pointer;
      font-size: 14px;
    }

    a:hover {
      background-color: rgba(102, 182, 255, 0.3);
    }
  }
}

.btn-home {
  width: 40px;
  height: 46px;
  border: none;
  background-color: transparent;
  background-image: url("../../assets/img/icon-home.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 20px;
  margin-right: 20px;
  cursor: pointer;
}
</style>
